at.chipkarte.client.rez.soap

## Class AdministrativeRezeptDaten

- Object
- - at.chipkarte.client.rez.soap.AdministrativeRezeptDaten

-     public class AdministrativeRezeptDaten
      extends Object

  Rückgabe der Daten aus der administrative Rezeptdatenprüfung. Siehe Funktion `administrativeDatenPruefen()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdministrativeRezeptDaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getAbsErlaubt()` Indikator, ob eine Nutzung des ABS erlaubt ist.
    `String` | `getEkvkAnspruch()` Ermittelter zuständiger KV-Träger des EKVK-Patienten.
    `EkvkPatient` | `getEkvkPatient()` EKVK Daten des EKVK-Patienten.
    `SvAnspruch` | `getSvAnspruch()` Anspruchsdaten des Sv-Patienten.
    `SvPatient` | `getSvPatient()` Personendaten des SV-Patienten.
    `void` | `setAbsErlaubt(Boolean absErlaubt)`
    `void` | `setEkvkAnspruch(String ekvkAnspruch)`
    `void` | `setEkvkPatient(EkvkPatient ekvkPatient)`
    `void` | `setSvAnspruch(SvAnspruch svAnspruch)`
    `void` | `setSvPatient(SvPatient svPatient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdministrativeRezeptDaten

          public AdministrativeRezeptDaten()

  - ### Method Detail

    - #### getSvPatient

          public SvPatient getSvPatient()

      Personendaten des SV-Patienten. Siehe `SvPatient`.
      Angabe: Bedingt.
      Returns:
        get the svPatient

    - #### setSvPatient

          public void setSvPatient(SvPatient svPatient)

    - #### getSvAnspruch

          public SvAnspruch getSvAnspruch()

      Anspruchsdaten des Sv-Patienten. Siehe `SvAnspruch`.
      Angabe: Bedingt. Nur versorgt, wenn die Abfrage für einen SV-Patienten und ein Kassenrezept erfolgt.
      Returns:
        get the svAnspruch

    - #### setSvAnspruch

          public void setSvAnspruch(SvAnspruch svAnspruch)

    - #### getEkvkPatient

          public EkvkPatient getEkvkPatient()

      EKVK Daten des EKVK-Patienten. Siehe `EkvkPatient`.
      Angabe: Bedingt.
      Returns:
        get the ekvkPatient

    - #### setEkvkPatient

          public void setEkvkPatient(EkvkPatient ekvkPatient)

    - #### getEkvkAnspruch

          public String getEkvkAnspruch()

      Ermittelter zuständiger KV-Träger des EKVK-Patienten.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Bedingt. Nur versorgt, wenn die Abfrage für einen EKVK-Patienten und ein Kassenrezept erfolgt.
      Returns:
        get the ekvkAnspruch

    - #### setEkvkAnspruch

          public void setEkvkAnspruch(String ekvkAnspruch)

    - #### getAbsErlaubt

          public Boolean getAbsErlaubt()

      Indikator, ob eine Nutzung des ABS erlaubt ist.
      Angabe: Bedingt. Nur versorgt, wenn die Abfrage für ein Kassenrezept erfolgt.
      Returns:
        get absErlaubt

    - #### setAbsErlaubt

          public void setAbsErlaubt(Boolean absErlaubt)